# Earnings Calendar

`GET` `/v1/quote/finance_calendar`

Browse upcoming earnings reports and recent results, with EPS and revenue estimates.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string | Yes | Start date, `YYYYMMDD`. Paginate by passing the returned `next_date`. |
| `date_end` | string | Yes | End date, `YYYYMMDD`. |
| `types[]` | string | Yes | Event category: `report`, `dividend`, `split`, `ipo`, `macrodata`, `closed`, `meeting`, `merge`. |
| `markets[]` | string | No | Market filter, e.g. `US`, `HK`, `CN`. If omitted, all markets. |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/finance_calendar?date=<date>&date_end=<date_end>&types[]=<types[]>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `date` | string | No | Response date |
| `list` | object[] | Yes | List of calendar date groups |
| `count` | integer | No | Number of events on this date |
| `infos` | object[] | Yes | List of calendar events |
| `id` | string | No | Event ID |
| `symbol` | string | No | Security symbol |
| `market` | string | No | Market |
| `counter_name` | string | No | Security name |
| `type` | string | No | Event type |
| `activity_type` | string | No | Activity type |
| `datetime` | string | No | Event datetime |
| `date_type` | string | No | Date type |
| `content` | string | No | Event content description |
| `currency` | string | No | Currency |
| `star` | integer | No | Importance rating (1-3) |
| `icon` | string | No | Icon URL |
| `chart_uid` | string | No | Chart identifier |
| `financial_market_time` | string | No | Financial market time |
| `data_kv` | object[] | No | Key-value data pairs |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "date": "2026-04-30",
    "list": [
      {
        "date": "2026-04-30",
        "count": 2228,
        "infos": [
          {
            "id": "12345",
            "symbol": "AAPL.US",
            "market": "US",
            "counter_name": "Apple Inc.",
            "event_type": "",
            "activity_type": "",
            "date": "2026-05-14",
            "datetime": "",
            "content": "",
            "star": 0,
            "currency": "",
            "icon": "",
            "chart_uid": "",
            "date_type": "",
            "financial_market_time": "",
            "data_kv": []
          }
        ]
      }
    ]
  }
}
```
